SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::RPC4GlobalRegistration Class Reference

Instantiate this class globally if you want to register a function with RPC4 at the global space. More...

`#include <slikenet/RPC4Plugin.h>`

## Public Member Functions

| RPC4GlobalRegistration (const char *uniqueID, void(*functionPointer)(SLNet::BitStream *userData, Packet *packet))
| Queue a call to RPC4::RegisterFunction() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.
| RPC4GlobalRegistration (const char *uniqueID, void(*functionPointer)(SLNet::BitStream *userData, Packet *packet), int callPriority)
| Queue a call to RPC4::RegisterSlot() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.
| RPC4GlobalRegistration (const char *uniqueID, void(*functionPointer)(SLNet::BitStream *userData, SLNet::BitStream *returnData, Packet *packet))
| Queue a call to RPC4::RegisterBlockingFunction() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.
| RPC4GlobalRegistration (const char *uniqueID, MessageID messageId)
| Queue a call to RPC4::RegisterLocalCallback() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.

## Detailed Description

Instantiate this class globally if you want to register a function with RPC4 at the global space.

Definition at line 58 of file RPC4Plugin.h.

## Constructor & Destructor Documentation

SLNet::RPC4GlobalRegistration::RPC4GlobalRegistration | ( | const char * | uniqueID,
|  | void(*)(SLNet::BitStream *userData, Packet *packet) | functionPointer
| ) |  |

Queue a call to RPC4::RegisterFunction() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.

SLNet::RPC4GlobalRegistration::RPC4GlobalRegistration | ( | const char * | uniqueID,
|  | void(*)(SLNet::BitStream *userData, Packet *packet) | functionPointer,
|  | int | callPriority
| ) |  |

Queue a call to RPC4::RegisterSlot() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.

SLNet::RPC4GlobalRegistration::RPC4GlobalRegistration | ( | const char * | uniqueID,
|  | void(*)(SLNet::BitStream *userData, SLNet::BitStream *returnData, Packet *packet) | functionPointer
| ) |  |

Queue a call to RPC4::RegisterBlockingFunction() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.

SLNet::RPC4GlobalRegistration::RPC4GlobalRegistration | ( | const char * | uniqueID,
|  | MessageID | messageId
| ) |  |

Queue a call to RPC4::RegisterLocalCallback() globally. Actual call occurs once RPC4 is attached to an instance of RakPeer or TCPInterface.

The documentation for this class was generated from the following file:

- Source/include/slikenet/RPC4Plugin.h